package InsulinSignaling "A package for modeling insuling signaling in fat cells"
  package Components "Components used in the main model"
    extends Modelica.Icons.Library;
    annotation(Documentation(info="<html><!--WSMINSERTIONTAGSTART Components -->
<head>
<style type=\"text/css\">

body {
 padding: 0px;
 margin: 0px;
}

a {
 color: #cf1d24;
}

a.target {
 padding-top: 40px;
 margin-top: -40px;
}

p {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
}

h1 {
 font-size: 30;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-top: 32px;
 margin-bottom: 15px;
 margin-right: 20px;
 padding-top: 0px;
}

h2 {
 font-size: 20;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 5px;
 margin-bottom: 9px;
}

h3 {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-size: 14px;
 font-family: helvetica;
 color: #4B4B4B;
 font-weight: bold;
 padding-left: 18px;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 12px;
 margin-bottom: 8px;
}

ul {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
 list-style-type: square;
}

li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

div.header {
 background: url('./DocumentationFiles/WSMLogo.png') no-repeat 0 0;
 height: 96px;
 margin-top: 35px;
 background-color: #871613;
}

.headerspan {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 display: inline-block;
 height: 35px;
 color: gray;
 padding: 0px;
 margin: 0px;
 margin-left: 20px;
}

.headera {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 padding: 0px;
 color: inherit;
 vertical-align: middle;
 margin: 0px;
}

.headerlinkdiv {
 background: black;
 padding: 0px;
 height: 35px;
 margin: 0px;
 position: fixed; top: 0px; left: 0px; width: 100%;
}

.contenttable {
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 border-top: 3px solid #cf1d24;
 background: #f9f9f9;
 max-width: 500px;
 margin: 15px 15px 0px 20px;
 padding: 6px 10px 3px 10px;
}

.contenttableheader {
 color: #a4a4a4;
 font-size: 14px;
 font-family: arial;
}

.contenttabletable {
 border: 0px solid #FFFFFF;
 padding: 0px;
 padding-left: 20px;
}

.contenttable tr td {
 padding: 3px;
 min-width: 200px;
}

.contenttable tr td a {
 color: #555555;
 text-decoration: none;
 font-size: 13px;
 font-family: arial;
}

.hacek {
 color: #cf1d24;
 font-size: 25px;
 font-weight: plain;
 vertical-align: -40%;
}

.mathematicapointerwrapper {
 border: 0px solid #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.mathematicapointertop {
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 4px;
}

.mathematicapointerdiv {
 background: url('./DocumentationFiles/mathematicabook.png') no-repeat 5 5;
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px 9px 9px 89px;
 max-width: 500px;
 min-height: 67px;
}

p.mathematicapointer {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

.infoboxwrapper {
 border: 0px solid #DDDDDD;
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.infoboxtop {
 background: url('./DocumentationFiles/infotick.png') no-repeat 12 2;
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 37px;
}

div.infobox {
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px;
 max-width: 500px;
}

p.infobox {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

h2.legal {
 font-family: arial;
 font-size: 14;
 color: #cf1d24;
 margin: 15px 15px 15px 20px;
 font-weight: bold;
}

h3.legal {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-family: arial;
 font-size: 12;
 color: #808080;
 margin-left: 38px;
 padding-left: 12px;
 font-weight: bold;
}

ul.legal {
 font-size: 10px;
 font-family: arial;
 color: #555555;
 margin-left: 28px;
}

ul.legal li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

p.legallarge {
 font-size: 12px;
 margin-left: 38px;
}

p.legalsmall {
 font-size: 11px;
 margin-left: 38px;
 padding-left: 12px;
}

.legalend {
 height: 10px;
}

.variablename {
 font-family: Courier New, Courier;
}

.dialogelement {
 font-weight: bold;
}

.menuitem {
 font-weight: bold;
}

.mr {
 font-family: Courier New, Courier;
}


</style>
</head>
<body>

<div class=\"headerlinkdiv\">

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/examples.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/examples_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/examples.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/industry-examples/\" class=\"headera\">More Examples</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/video.png) no-repeat 0 0;
padding-left: 29px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/video_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/video.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/resources/get-started/\" class=\"headera\">Introductory Videos</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/docs.png) no-repeat 0 0;
padding-left: 20px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/docs_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/docs.png) no-repeat 0 0';
\"><a href=\"http://reference.wolfram.com/system-modeler\" class=\"headera\">Documentation</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/contact.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/contact_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/contact.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/contact-us/\" class=\"headera\">Contact Us</a></span>
</div><div class=\"header\">&nbsp;</div>
<h1>Insulin Signaling: Modeling a Biochemical Process</h1><a id=\"headerTag_PackageOverview\" class=\"target\">&nbsp;</a>
<h2>Package Overview</h2>
<p class=\"\">
This subpackage contains components used in the <a href=\"Modelica://InsulinSignaling.ExampleModel\">main model</a>.
</p><ul></ul><h2 class=\"legal\"> <a href=\"#\" onclick=\"
if(document.getElementById('25').style.display == 'none'){
document.getElementById('25').style.display = 'block';
document.getElementById('show25').style.display = 'none';
document.getElementById('hide25').style.display = 'inline';
} else {
document.getElementById('25').style.display = 'none';
document.getElementById('show25').style.display = 'inline';
document.getElementById('hide25').style.display = 'none';
};
return false;\" style=\"text-decoration: inherit; color: inherit\"><img src=\"DocumentationFiles/showhide2.png\" alt=\"Show\" id=\"show25\" style=\"display: inline; vertical-align: text-bottom;\" /><img src=\"DocumentationFiles/showhide.png\" alt=\"Hide\" id=\"hide25\" style=\"display: none; vertical-align: text-bottom;\" />Terms and Conditions of Use</a> </h2>
<span id=\"25\" style=\"display: none;\"><p class=\"legallarge\">
This domain example is an informational resource made freely available by Wolfram Research.
</p><h3 class=\"legal\">Use of This Example</h3>
<span id=\"26\" style=\"display: block;\"><ul class=\"legal\"><li>You may not use this example for any purpose that is unlawful or dangerous.</li><li>You assume total responsibility and risk for your use of this example.</li><li>You may not present this example with any alteration to its trade dress, trademarks, or design.</li></ul></span><h3 class=\"legal\">License</h3>
<span id=\"27\" style=\"display: block;\"><p class=\"legalsmall\">
All content in this bundle is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License. By accessing the content or using it in any way, you accept and agree to be bound by the terms of this license. If you do not agree to these Terms of Use, you may not use this content. Wolfram Research reserves the right to change, modify, add to, or remove portions of these Terms of Use at any time without notice. Please refer back to <a href=\"http://www.wolfram.com\">www.wolfram.com</a> for the latest Terms of Use.
</p><p class=\"legalsmall\">
A summary of the licensing terms can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0\">http://creativecommons.org/licenses/by-nc-sa/3.0</a>
</p><p class=\"legalsmall\">
The full legal code can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode\">http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode</a>
</p></span></span><div class=\"legalend\">&nbsp;</div>
</body>
<!--WSMINSERTIONTAGEND Components --></html>", revisions=""), Diagram(coordinateSystem(extent={{-148.5,-105.0},{148.5,105.0}}, preserveAspectRatio=true, initialScale=0.1, grid={5,5})));
    model IR_feedback
      extends BioChem.Interfaces.Reactions.Uui;
      extends BioChem.Interfaces.Reactions.Modifiers.Activator;
      parameter Real kbasal=1;
      parameter Real vmax=1;
      annotation(Documentation(info="", revisions=""), Diagram(coordinateSystem(extent={{-170.0,-105.0},{170.0,105.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10})));
    equation 
      rr=s1.c*(kbasal + vmax*a1.c/(1 + a1.c));
    end IR_feedback;

    model IRS1_activation
      extends BioChem.Interfaces.Reactions.Uur;
      parameter Real kr=1;
      parameter Real kf1=1;
      parameter Real kf2=1;
      annotation(Documentation(info="", revisions=""), Icon(coordinateSystem(extent={{-100.0,-100.0},{100.0,100.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10}), graphics={Line(visible=true, origin={0.0,3.75}, points={{0.0,56.25},{0.0,6.25}}, color={0,0,255}, arrow={Arrow.None,Arrow.Open}, arrowSize=25)}), Diagram(coordinateSystem(extent={{-170.0,-105.0},{170.0,105.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10})));
      BioChem.Interfaces.Nodes.ActivatorConnector a1 annotation(Placement(visible=true, transformation(origin={30.0,70.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0), iconTransformation(origin={30.0,90.0}, extent={{-20.0,-20.0},{20.0,20.0}}, rotation=0)));
      BioChem.Interfaces.Nodes.ActivatorConnector a2 annotation(Placement(visible=true, transformation(origin={-30.0,70.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0), iconTransformation(origin={-30.0,90.0}, extent={{-20.0,-20.0},{20.0,20.0}}, rotation=0)));
    equation 
      rr=s1.c*(kf1*a1.c + kf2*a2.c) - kr*p1.c;
      a1.r=0;
      a2.r=0;
    end IRS1_activation;

  end Components;

  annotation(__Wolfram(openClass=InsulinSignaling.ExampleModel, useDocumentationTemplate=false), uses(Modelica(version="3.1")), Documentation(info="<html><!--WSMINSERTIONTAGSTART InsulinSignalingPackage -->
<head>
<style type=\"text/css\">

body {
 padding: 0px;
 margin: 0px;
}

a {
 color: #cf1d24;
}

a.target {
 padding-top: 40px;
 margin-top: -40px;
}

p {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
}

h1 {
 font-size: 30;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-top: 32px;
 margin-bottom: 15px;
 margin-right: 20px;
 padding-top: 0px;
}

h2 {
 font-size: 20;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 5px;
 margin-bottom: 9px;
}

h3 {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-size: 14px;
 font-family: helvetica;
 color: #4B4B4B;
 font-weight: bold;
 padding-left: 18px;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 12px;
 margin-bottom: 8px;
}

ul {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
 list-style-type: square;
}

li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

div.header {
 background: url('./DocumentationFiles/WSMLogo.png') no-repeat 0 0;
 height: 96px;
 margin-top: 35px;
 background-color: #871613;
}

.headerspan {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 display: inline-block;
 height: 35px;
 color: gray;
 padding: 0px;
 margin: 0px;
 margin-left: 20px;
}

.headera {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 padding: 0px;
 color: inherit;
 vertical-align: middle;
 margin: 0px;
}

.headerlinkdiv {
 background: black;
 padding: 0px;
 height: 35px;
 margin: 0px;
 position: fixed; top: 0px; left: 0px; width: 100%;
}

.contenttable {
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 border-top: 3px solid #cf1d24;
 background: #f9f9f9;
 max-width: 500px;
 margin: 15px 15px 0px 20px;
 padding: 6px 10px 3px 10px;
}

.contenttableheader {
 color: #a4a4a4;
 font-size: 14px;
 font-family: arial;
}

.contenttabletable {
 border: 0px solid #FFFFFF;
 padding: 0px;
 padding-left: 20px;
}

.contenttable tr td {
 padding: 3px;
 min-width: 200px;
}

.contenttable tr td a {
 color: #555555;
 text-decoration: none;
 font-size: 13px;
 font-family: arial;
}

.hacek {
 color: #cf1d24;
 font-size: 25px;
 font-weight: plain;
 vertical-align: -40%;
}

.mathematicapointerwrapper {
 border: 0px solid #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.mathematicapointertop {
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 4px;
}

.mathematicapointerdiv {
 background: url('./DocumentationFiles/mathematicabook.png') no-repeat 5 5;
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px 9px 9px 89px;
 max-width: 500px;
 min-height: 67px;
}

p.mathematicapointer {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

.infoboxwrapper {
 border: 0px solid #DDDDDD;
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.infoboxtop {
 background: url('./DocumentationFiles/infotick.png') no-repeat 12 2;
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 37px;
}

div.infobox {
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px;
 max-width: 500px;
}

p.infobox {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

h2.legal {
 font-family: arial;
 font-size: 14;
 color: #cf1d24;
 margin: 15px 15px 15px 20px;
 font-weight: bold;
}

h3.legal {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-family: arial;
 font-size: 12;
 color: #808080;
 margin-left: 38px;
 padding-left: 12px;
 font-weight: bold;
}

ul.legal {
 font-size: 10px;
 font-family: arial;
 color: #555555;
 margin-left: 28px;
}

ul.legal li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

p.legallarge {
 font-size: 12px;
 margin-left: 38px;
}

p.legalsmall {
 font-size: 11px;
 margin-left: 38px;
 padding-left: 12px;
}

.legalend {
 height: 10px;
}

.variablename {
 font-family: Courier New, Courier;
}

.dialogelement {
 font-weight: bold;
}

.menuitem {
 font-weight: bold;
}

.mr {
 font-family: Courier New, Courier;
}


</style>
</head>
<body>

<div class=\"headerlinkdiv\">

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/examples.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/examples_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/examples.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/industry-examples/\" class=\"headera\">More Examples</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/video.png) no-repeat 0 0;
padding-left: 29px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/video_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/video.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/resources/get-started/\" class=\"headera\">Introductory Videos</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/docs.png) no-repeat 0 0;
padding-left: 20px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/docs_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/docs.png) no-repeat 0 0';
\"><a href=\"http://reference.wolfram.com/system-modeler\" class=\"headera\">Documentation</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/contact.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/contact_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/contact.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/contact-us/\" class=\"headera\">Contact Us</a></span>
</div><div class=\"header\">&nbsp;</div>
<h1>Insulin Signaling: Modeling a Biochemical Process</h1><p class=\"\">
In order to get the full experience of this example, you need the following:
</p><ul><li>Wolfram <span style=\"font-style:italic;\">Mathematica</span>; a free trial download is available at <a href=\"http://www.wolfram.com/mathematica\">www.wolfram.com/mathematica</a></li><li>The <a href=\"InsulinSignaling.nb\">InsulinSignaling.nb</a> notebook that came in the same bundle as this model</li></ul><div class=\"mathematicapointerwrapper\">
<div class=\"mathematicapointertop\">&nbsp;</div>
<div class=\"mathematicapointerdiv\"><p class=\"mathematicapointer\">
These pages show an overview of the example. For the full example, open the accompanying notebook <a href=\"InsulinSignaling.nb\">InsulinSignaling.nb</a> in <span style=\"font-style:italic;\">Mathematica</span>.
</p></div>
</div><a id=\"headerTag_PackageOverview\" class=\"target\">&nbsp;</a>
<h2>Package Overview</h2>
<p class=\"\">
This package contains a model of insulin signaling, and a package of custom components used in the model:
</p><ul><li><a href=\"Modelica://InsulinSignaling.ExampleModel#diagram\">ExampleModel</a>: the main model of the insulin signaling (<a href=\"Modelica://InsulinSignaling.ExampleModel\">show documentation</a>)</li><li><a href=\"Modelica://InsulinSignaling.Components#info\">Components</a>: a package containing custom components used in the main model</li></ul><h2 class=\"legal\"> <a href=\"#\" onclick=\"
if(document.getElementById('19').style.display == 'none'){
document.getElementById('19').style.display = 'block';
document.getElementById('show19').style.display = 'none';
document.getElementById('hide19').style.display = 'inline';
} else {
document.getElementById('19').style.display = 'none';
document.getElementById('show19').style.display = 'inline';
document.getElementById('hide19').style.display = 'none';
};
return false;\" style=\"text-decoration: inherit; color: inherit\"><img src=\"DocumentationFiles/showhide2.png\" alt=\"Show\" id=\"show19\" style=\"display: inline; vertical-align: text-bottom;\" /><img src=\"DocumentationFiles/showhide.png\" alt=\"Hide\" id=\"hide19\" style=\"display: none; vertical-align: text-bottom;\" />Terms and Conditions of Use</a> </h2>
<span id=\"19\" style=\"display: none;\"><p class=\"legallarge\">
This domain example is an informational resource made freely available by Wolfram Research.
</p><h3 class=\"legal\">Use of This Example</h3>
<span id=\"20\" style=\"display: block;\"><ul class=\"legal\"><li>You may not use this example for any purpose that is unlawful or dangerous.</li><li>You assume total responsibility and risk for your use of this example.</li><li>You may not present this example with any alteration to its trade dress, trademarks, or design.</li></ul></span><h3 class=\"legal\">License</h3>
<span id=\"21\" style=\"display: block;\"><p class=\"legalsmall\">
All content in this bundle is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License. By accessing the content or using it in any way, you accept and agree to be bound by the terms of this license. If you do not agree to these Terms of Use, you may not use this content. Wolfram Research reserves the right to change, modify, add to, or remove portions of these Terms of Use at any time without notice. Please refer back to <a href=\"http://www.wolfram.com\">www.wolfram.com</a> for the latest Terms of Use.
</p><p class=\"legalsmall\">
A summary of the licensing terms can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0\">http://creativecommons.org/licenses/by-nc-sa/3.0</a>
</p><p class=\"legalsmall\">
The full legal code can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode\">http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode</a>
</p></span></span><div class=\"legalend\">&nbsp;</div>
</body>
<!--WSMINSERTIONTAGEND InsulinSignalingPackage --></html>", revisions=""), preferredView="info", Icon(coordinateSystem(extent={{-100.0,-100.0},{100.0,100.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10}), graphics={Text(visible=true, origin={0.0,21.0}, lineColor={255,0,0}, extent={{-120.0,73.0},{120.0,132.0}}, textString="%name", fontName="Arial"),Rectangle(visible=true, lineColor={111,0,0}, fillColor={255,0,0}, fillPattern=FillPattern.HorizontalCylinder, lineThickness=4, extent={{-90.0,-90.0},{90.0,90.0}}, radius=25),Text(visible=true, origin={12.0,20.8333}, fillColor={255,255,255}, fillPattern=FillPattern.Solid, extent={{-102.0,-70.8333},{78.0,29.1667}}, textString="Ex", fontName="Arial")}));
  model ExampleModel "Model of insulin signaling"
    extends BioChem.Compartments.MainCompartment(V.start=1);
    annotation(preferredView="info", Documentation(info="<html><!--WSMINSERTIONTAGSTART ExampleModel -->
<head>
<style type=\"text/css\">

body {
 padding: 0px;
 margin: 0px;
}

a {
 color: #cf1d24;
}

a.target {
 padding-top: 40px;
 margin-top: -40px;
}

p {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
}

h1 {
 font-size: 30;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-top: 32px;
 margin-bottom: 15px;
 margin-right: 20px;
 padding-top: 0px;
}

h2 {
 font-size: 20;
 color: #cf1d24;
 font-weight: bold;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 5px;
 margin-bottom: 9px;
}

h3 {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-size: 14px;
 font-family: helvetica;
 color: #4B4B4B;
 font-weight: bold;
 padding-left: 18px;
 margin-left: 20px;
 margin-right: 20px;
 margin-top: 12px;
 margin-bottom: 8px;
}

ul {
 font-family: arial;
 font-size: 13;
 margin: 9px 40px 5px 40px;
 padding-bottom: 0px;
 color: #555555;
 max-width: 800px;
 list-style-type: square;
}

li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

div.header {
 background: url('./DocumentationFiles/WSMLogo.png') no-repeat 0 0;
 height: 96px;
 margin-top: 35px;
 background-color: #871613;
}

.headerspan {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 display: inline-block;
 height: 35px;
 color: gray;
 padding: 0px;
 margin: 0px;
 margin-left: 20px;
}

.headera {
 font-family: arial;
 text-decoration: none;
 font-size: 12px;
 font-weight: bold;
 padding: 0px;
 color: inherit;
 vertical-align: middle;
 margin: 0px;
}

.headerlinkdiv {
 background: black;
 padding: 0px;
 height: 35px;
 margin: 0px;
 position: fixed; top: 0px; left: 0px; width: 100%;
}

.contenttable {
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 border-top: 3px solid #cf1d24;
 background: #f9f9f9;
 max-width: 500px;
 margin: 15px 15px 0px 20px;
 padding: 6px 10px 3px 10px;
}

.contenttableheader {
 color: #a4a4a4;
 font-size: 14px;
 font-family: arial;
}

.contenttabletable {
 border: 0px solid #FFFFFF;
 padding: 0px;
 padding-left: 20px;
}

.contenttable tr td {
 padding: 3px;
 min-width: 200px;
}

.contenttable tr td a {
 color: #555555;
 text-decoration: none;
 font-size: 13px;
 font-family: arial;
}

.hacek {
 color: #cf1d24;
 font-size: 25px;
 font-weight: plain;
 vertical-align: -40%;
}

.mathematicapointerwrapper {
 border: 0px solid #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.mathematicapointertop {
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 4px;
}

.mathematicapointerdiv {
 background: url('./DocumentationFiles/mathematicabook.png') no-repeat 5 5;
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px 9px 9px 89px;
 max-width: 500px;
 min-height: 67px;
}

p.mathematicapointer {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

.infoboxwrapper {
 border: 0px solid #DDDDDD;
 -webkit-box-shadow: 3px 3px 3px #DDDDDD;
 margin: 15px 15px 15px 40px;
 padding: 0px;
 max-width: 500px;
}

.infoboxtop {
 background: url('./DocumentationFiles/infotick.png') no-repeat 12 2;
 border: 1px solid #DDDDDD;
 background-color: #F2F2F2;
 padding: 0px;
 max-width: 500px;
 height: 37px;
}

div.infobox {
 border: 1px solid #DDDDDD;
 background-color: #FFFFFF;
 margin: 0px;
 padding: 15px;
 max-width: 500px;
}

p.infobox {
 padding: 0px;
 margin: 0px;
 font-size: 12px;
}

h2.legal {
 font-family: arial;
 font-size: 14;
 color: #cf1d24;
 margin: 15px 15px 15px 20px;
 font-weight: bold;
}

h3.legal {
 background: url('./DocumentationFiles/dingbat3.png') no-repeat 0 0;
 font-family: arial;
 font-size: 12;
 color: #808080;
 margin-left: 38px;
 padding-left: 12px;
 font-weight: bold;
}

ul.legal {
 font-size: 10px;
 font-family: arial;
 color: #555555;
 margin-left: 28px;
}

ul.legal li {
 margin-left: 0px;
 margin-top: 4px;
 margin-bottom: 2px;
 padding-left: 0px;
}

p.legallarge {
 font-size: 12px;
 margin-left: 38px;
}

p.legalsmall {
 font-size: 11px;
 margin-left: 38px;
 padding-left: 12px;
}

.legalend {
 height: 10px;
}

.variablename {
 font-family: Courier New, Courier;
}

.dialogelement {
 font-weight: bold;
}

.menuitem {
 font-weight: bold;
}

.mr {
 font-family: Courier New, Courier;
}


</style>
</head>
<body>

<div class=\"headerlinkdiv\">

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/examples.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/examples_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/examples.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/industry-examples/\" class=\"headera\">More Examples</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/video.png) no-repeat 0 0;
padding-left: 29px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/video_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/video.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/resources/get-started/\" class=\"headera\">Introductory Videos</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/docs.png) no-repeat 0 0;
padding-left: 20px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/docs_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/docs.png) no-repeat 0 0';
\"><a href=\"http://reference.wolfram.com/system-modeler\" class=\"headera\">Documentation</a></span>

<span class=\"headerspan\" style=\"background: url(DocumentationFiles/contact.png) no-repeat 0 0;
padding-left: 24px;
\"
onmouseover=\"
	this.style.color = 'white';
	this.style.background = 'url(DocumentationFiles/contact_active.png) no-repeat 0 0';
\"
onmouseout=\"
	this.style.color = 'gray';
	this.style.background = 'url(DocumentationFiles/contact.png) no-repeat 0 0';
\"><a href=\"http://www.wolfram.com/system-modeler/contact-us/\" class=\"headera\">Contact Us</a></span>
</div><div class=\"header\">&nbsp;</div>
<h1>Insulin Signaling: Modeling a Biochemical Process</h1><div class=\"contenttable\">
<span class=\"contenttableheader\">CONTENTS:</span><br/>
<table class=\"contenttabletable\"><tr><td><a href=\"#\" onClick=\"document.getElementById('headerTag_Introduction').scrollIntoView(); return false;\"><span class=\"hacek\">&#711;</span> Introduction</a></td><td><a href=\"#\" onClick=\"document.getElementById('headerTag_Analysis').scrollIntoView(); return false;\"><span class=\"hacek\">&#711;</span> Analysis</a></td></tr></table></div><a id=\"headerTag_Introduction\" class=\"target\">&nbsp;</a>
<h2>Introduction</h2>
<p class=\"\">
Insulin signaling in fat cells plays an important role in controlling the glucose level in the body. Insulin binding to receptors causes them to phosphorylate, transducing the insulin signal into the cells, controlling glucose uptake.
</p><p class=\"\">
In order to get the full experience of this example, you need the following:
</p><ul><li>Wolfram <span style=\"font-style:italic;\">Mathematica</span>; a free trial download is available at <a href=\"http://www.wolfram.com/mathematica\">www.wolfram.com/mathematica</a></li><li>The <a href=\"InsulinSignaling.nb\">InsulinSignaling.nb</a> notebook that came in the same bundle as this model</li></ul><div class=\"mathematicapointerwrapper\">
<div class=\"mathematicapointertop\">&nbsp;</div>
<div class=\"mathematicapointerdiv\"><p class=\"mathematicapointer\">
These pages show an overview of the example. For the full example, open the accompanying notebook <a href=\"InsulinSignaling.nb\">InsulinSignaling.nb</a> in <span style=\"font-style:italic;\">Mathematica</span>.
</p></div>
</div><a id=\"headerTag_Analysis\" class=\"target\">&nbsp;</a>
<h2>Analysis</h2>
<p class=\"\">
Simulate the system's response to an insulin stimulation, with a number of different parameter sets found to be plausible:
</p><p class=\"\">
<img src=\"DocumentationFiles/compSim.png\" alt=\"\"/>
</p><p class=\"\">
Plot the sensitivity bounds for parameters in the system, showing how much the IRS1 phosphorylation is affected by changes in each parameter. Find the parameters with the largest influence:
</p><p class=\"\">
<img src=\"DocumentationFiles/sensitivity.png\" alt=\"\"/>
</p><div class=\"mathematicapointerwrapper\">
<div class=\"mathematicapointertop\">&nbsp;</div>
<div class=\"mathematicapointerdiv\"><p class=\"mathematicapointer\">
These pages show an overview of the example. For the full example, open the accompanying notebook <a href=\"InsulinSignaling.nb\">InsulinSignaling.nb</a> in <span style=\"font-style:italic;\">Mathematica</span>.
</p></div>
</div><h2 class=\"legal\"> <a href=\"#\" onclick=\"
if(document.getElementById('22').style.display == 'none'){
document.getElementById('22').style.display = 'block';
document.getElementById('show22').style.display = 'none';
document.getElementById('hide22').style.display = 'inline';
} else {
document.getElementById('22').style.display = 'none';
document.getElementById('show22').style.display = 'inline';
document.getElementById('hide22').style.display = 'none';
};
return false;\" style=\"text-decoration: inherit; color: inherit\"><img src=\"DocumentationFiles/showhide2.png\" alt=\"Show\" id=\"show22\" style=\"display: inline; vertical-align: text-bottom;\" /><img src=\"DocumentationFiles/showhide.png\" alt=\"Hide\" id=\"hide22\" style=\"display: none; vertical-align: text-bottom;\" />Terms and Conditions of Use</a> </h2>
<span id=\"22\" style=\"display: none;\"><p class=\"legallarge\">
This domain example is an informational resource made freely available by Wolfram Research.
</p><h3 class=\"legal\">Use of This Example</h3>
<span id=\"23\" style=\"display: block;\"><ul class=\"legal\"><li>You may not use this example for any purpose that is unlawful or dangerous.</li><li>You assume total responsibility and risk for your use of this example.</li><li>You may not present this example with any alteration to its trade dress, trademarks, or design.</li></ul></span><h3 class=\"legal\">License</h3>
<span id=\"24\" style=\"display: block;\"><p class=\"legalsmall\">
All content in this bundle is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License. By accessing the content or using it in any way, you accept and agree to be bound by the terms of this license. If you do not agree to these Terms of Use, you may not use this content. Wolfram Research reserves the right to change, modify, add to, or remove portions of these Terms of Use at any time without notice. Please refer back to <a href=\"http://www.wolfram.com\">www.wolfram.com</a> for the latest Terms of Use.
</p><p class=\"legalsmall\">
A summary of the licensing terms can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0\">http://creativecommons.org/licenses/by-nc-sa/3.0</a>
</p><p class=\"legalsmall\">
The full legal code can be found at:<br>
<a href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode\">http://creativecommons.org/licenses/by-nc-sa/3.0/legalcode</a>
</p></span></span><div class=\"legalend\">&nbsp;</div>
</body>
<!--WSMINSERTIONTAGEND ExampleModel --></html>", revisions=""), Icon(coordinateSystem(extent={{-100.0,-100.0},{100.0,100.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10})), Diagram(coordinateSystem(extent={{-170.0,-110.0},{110.0,110.0}}, preserveAspectRatio=true, initialScale=0.1, grid={10,10}), graphics={Polygon(visible=true, origin={-2.0496,84.1949}, fillColor={255,255,255}, fillPattern=FillPattern.Solid, points={{-167.95,25.805},{-167.95,25.805},{112.0496,25.805},{112.0496,25.8051},{112.0496,-24.1949},{112.0496,-24.1949},{-0.6329,-4.1949},{-167.95,-54.195},{-167.95,-54.195}}, smooth=Smooth.Bezier),Polygon(visible=true, origin={-0.0,-27.7778}, fillColor={233,247,255}, fillPattern=FillPattern.Solid, points={{-170.0,-82.222},{110.0,-82.222},{110.0,-82.2222},{110.0,67.7778},{110.0,67.7778},{0.0,97.778},{-170.0,57.778},{-170.0,57.778},{-170.0,-82.222}}, smooth=Smooth.Bezier),Polygon(visible=true, origin={-20.837,55.055}, fillColor={192,192,192}, fillPattern=FillPattern.Solid, points={{-149.163,-5.055},{-149.163,-5.055},{-149.163,-25.055},{-149.163,-25.055},{20.837,4.945},{130.837,-15.055},{130.837,-15.055},{130.837,4.945},{130.837,4.945},{20.837,24.945}}, smooth=Smooth.Bezier)}), experiment(StartTime=0.0, StopTime=30.0, NumberOfIntervals=-1, Algorithm="dassl", Tolerance=0.000001));
    parameter Real insulinConcentration=100;
    BioChem.Substances.Substance IRinsulin(c.unit="a.u.", c.stateSelect=StateSelect.always) annotation(Placement(visible=true, transformation(origin={-80.0,54.8697}, extent={{-10.0,10.0},{10.0,-10.0}}, rotation=0)));
    BioChem.Substances.Substance IRp(c.unit="a.u.", c.stateSelect=StateSelect.always, c.start=0.000326) annotation(Placement(visible=true, transformation(origin={-37.8157,60.0}, extent={{-10.0,10.0},{10.0,-10.0}}, rotation=0)));
    BioChem.Reactions.MassAction.Irreversible.UniUni.Uui IRphosphorylation(k1=4.48) annotation(Placement(visible=true, transformation(origin={-59.0095,57.4881}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=6)));
    BioChem.Substances.SignalSubstance insulin(c.unit="a.u.") annotation(Placement(visible=true, transformation(origin={-136.8636,76.8017}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    BioChem.Substances.Substance IR(c.unit="a.u.", c.start=100, n.start=100, c.stateSelect=StateSelect.always) annotation(Placement(visible=true, transformation(origin={-122.2115,46.6255}, extent={{-10.0,10.0},{10.0,-10.0}}, rotation=0)));
    BioChem.Reactions.MassAction.Reversible.UniUni.Uur basalphosphorylation(k1=0.2427355862, k2=70074) annotation(Placement(visible=true, transformation(origin={-75.2375,25.7005}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    BioChem.Substances.Substance IRpinternalized(c.unit="a.u.", c.stateSelect=StateSelect.always, c.start=1.15166) annotation(Placement(visible=true, transformation(origin={-35.815,-10.0}, extent={{-10.0,10.0},{10.0,-10.0}}, rotation=0)));
    BioChem.Substances.Substance IRinternalized(c.unit="a.u.", c.stateSelect=StateSelect.always, c.start=0.0000274573117064578) annotation(Placement(visible=true, transformation(origin={-107.1543,-10.0}, extent={{-10.0,10.0},{10.0,-10.0}}, rotation=0)));
    BioChem.Reactions.MassAction.Irreversible.UniUni.Uui endocytosis(k1=3515) annotation(Placement(visible=true, transformation(origin={-20.0,20.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-90)));
    BioChem.Reactions.MassAction.Irreversible.UniUni.Uui recycling(k1=41769) annotation(Placement(visible=true, transformation(origin={-136.4583,14.652}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=-270)));
    InsulinSignaling.Components.IR_feedback IRdephosphorylation(kbasal=0.034, vmax=37) annotation(Placement(visible=true, transformation(origin={-74.5375,-10.0}, extent={{10.0,10.0},{-10.0,-10.0}}, rotation=0)));
    BioChem.Substances.Substance IRS1p(c.unit="a.u.", c.stateSelect=StateSelect.always, c.start=0.7877) annotation(Placement(visible=true, transformation(origin={6.9162,-27.1451}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    BioChem.Substances.Substance IRS1(c.unit="a.u.", c.start=99, n.start=100, c.stateSelect=StateSelect.always) annotation(Placement(visible=true, transformation(origin={77.674,-27.1451}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    BioChem.Substances.Substance X(c.unit="a.u.", c.start=99.97, n.start=100, c.stateSelect=StateSelect.always) annotation(Placement(visible=true, transformation(origin={4.8283,-68.37}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    BioChem.Substances.Substance Xactive(c.unit="a.u.", c.stateSelect=StateSelect.always, c.start=0.0265284) annotation(Placement(visible=true, transformation(origin={-55.1717,-68.37}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=0)));
    BioChem.Reactions.MassAction.Reversible.UniUni.Uurfa Xactivation(k2=0.0812658755, k1=0.0000275772) annotation(Placement(visible=true, transformation(origin={-25.1717,-68.37}, extent={{10.0,-10.0},{-10.0,10.0}}, rotation=0)));
    InsulinSignaling.Components.IRS1_activation IRS1phosphorylation(kf1=0.765, kf2=3.32, kr=149) annotation(Placement(visible=true, transformation(origin={42.4405,-27.1451}, extent={{10.0,-10.0},{-10.0,10.0}}, rotation=0)));
    BioChem.Reactions.MassAction.Reversible.UniUni.Uurfa insulinBinding(k1=18047, k2=36569) annotation(Placement(visible=true, transformation(origin={-101.7244,50.0}, extent={{-10.0,-10.0},{10.0,10.0}}, rotation=11)));
  equation 
    connect(recycling.p1,IR.n1) annotation(Line(visible=true, origin={-132.8966,34.1418}, points={{-3.5617,-8.2398},{-3.5617,-0.5164},{-3.5617,12.4836},{10.6851,12.4837}}, color={0,85,127}, smooth=Smooth.Bezier));
    connect(IR.n1,insulinBinding.s1) annotation(Line(visible=true, origin={-118.9884,46.9325}, points={{-3.2231,-0.307},{-3.2231,-0.307},{-3.2231,-0.307},{6.2207,0.9209}}, color={0,85,0}, smooth=Smooth.Bezier));
    connect(IR.n1,basalphosphorylation.s1) annotation(Line(visible=true, origin={-115.4393,23.1984}, points={{-6.7722,23.4271},{-6.7722,2.5021},{28.9518,2.5021},{28.9518,2.5021}}, color={0,85,0}, smooth=Smooth.Bezier));
    connect(insulin.n1,insulinBinding.aF1) annotation(Line(visible=true, origin={-114.5823,70.8127}, points={{-22.2813,5.989},{11.1406,5.989},{11.1406,-11.978}}, color={0,85,0}, pattern=LinePattern.Dash, smooth=Smooth.Bezier));
    connect(insulinBinding.p1,IRinsulin.n1) annotation(Line(visible=true, origin={-83.5604,53.962}, points={{-7.1207,-1.8154},{3.5604,0.9077},{3.5604,0.9077}}, color={0,85,127}, smooth=Smooth.Bezier));
    connect(IRinsulin.n1,IRphosphorylation.s1) annotation(Line(visible=true, origin={-66.9584,64.2995}, points={{-13.0416,-9.4298},{-11.1961,-7.0485},{-13.0416,-9.3985},{-3.2395,-7.9873}}, color={0,85,0}, smooth=Smooth.Bezier));
    connect(IRphosphorylation.p1,IRp.n1) annotation(Line(visible=true, origin={-41.4911,60.1391}, points={{-6.33,-1.4751},{3.6754,0.0464},{3.6754,0.0464},{3.6754,-0.1391}}, color={0,85,127}, smooth=Smooth.Bezier));
    connect(IRp.n1,endocytosis.s1) annotation(Line(visible=true, origin={-20.7864,46.8111}, points={{-17.0293,13.1889},{0.7864,13.1889},{0.7864,-12.5025},{0.7864,-15.5611}}, color={0,85,0}, smooth=Smooth.Bezier));
    connect(IRp.n1,IRS1phosphorylation.a2) annotation(Line(visible=true, origin={10.6872,29.9076}, points={{-48.5029,30.0924},{-32.2066,30.0924},{34.753,30.092},{34.753,-48.053},{34.7533,-48.0527}}, color={0,85,0}, pattern=LinePattern.Dash, smooth=Smooth.Bezier));
    connect(basalphosphorylation.p1,IRp.n1) annotation(Line(visible=true, origin={-46.5396,37.1337}, points={{-17.4479,-11.4332},{8.7239,-11.4332},{8.7239,22.8663}}, color={0,85,127}, smooth=Smooth.Bezier));
    connect(endocytosis.p1,IRpinternalized.n1) annotation(Line(visible=true, origin={-27.9075,-5.3125}, points={{7.9075,14.0625},{7.9075,-4.6875},{-7.9075,-4.6875},{-7.9075,-4.6875}}, color={0,85,127}, smooth=Smooth.Bezier));
    connect(Xactive.n1,IRdephosphorylation.a1) annotation(Line(visible=true, origin={-64.8546,-37.3536}, points={{9.6829,-31.0164},{9.6829,4.7895},{-9.6829,4.7895},{-9.6829,18.3536}}, color={0,85,0}, pattern=LinePattern.Dash, smooth=Smooth.Bezier));
    connect(IRpinternalized.n1,IRdephosphorylation.s1) annotation(Line(visible=true, origin={-49.5512,-10.0}, points={{13.7362,-0.0},{-13.7362,0.0}}, color={0,85,0}));
    connect(IRdephosphorylation.p1,IRinternalized.n1) annotation(Line(visible=true, origin={-96.4709,-10.0}, points={{10.6834,0.0},{-10.6834,-0.0}}, color={0,85,127}));
    connect(IRinternalized.n1,recycling.s1) annotation(Line(visible=true, origin={-126.6903,-5.5327}, points={{19.536,-4.4673},{-9.768,-4.4673},{-9.768,8.9347}}, color={0,85,0}, smooth=Smooth.Bezier));
    connect(IRpinternalized.n1,IRS1phosphorylation.a1) annotation(Line(visible=true, origin={14.3553,-12.715}, points={{-50.1703,2.715},{25.0852,2.715},{25.0852,-5.4301}}, color={0,85,0}, pattern=LinePattern.Dash, smooth=Smooth.Bezier));
    connect(IRS1p.n1,Xactivation.aF1) annotation(Line(visible=true, origin={-9.1278,-49.3138}, points={{16.044,22.1687},{16.044,-6.0562},{-16.044,-6.0562},{-16.044,-10.0562}}, color={0,85,0}, pattern=LinePattern.Dash, smooth=Smooth.Bezier));
    connect(X.n1,Xactivation.s1) annotation(Line(visible=true, origin={-4.5467,-68.37}, points={{9.375,0.0},{-9.375,0.0}}, color={0,85,0}));
    connect(Xactivation.p1,Xactive.n1) annotation(Line(visible=true, origin={-45.7967,-68.37}, points={{9.375,0.0},{-9.375,0.0}}, color={0,85,127}));
    connect(IRS1phosphorylation.p1,IRS1p.n1) annotation(Line(visible=true, origin={19.0534,-27.1451}, points={{12.1371,0.0},{-12.1372,0.0}}, color={0,85,127}));
    connect(IRS1.n1,IRS1phosphorylation.s1) annotation(Line(visible=true, origin={65.6823,-27.1451}, points={{11.9917,0.0},{-11.9918,0.0}}, color={0,85,0}));
    insulin.c=insulinConcentration;
  end ExampleModel;

end InsulinSignaling;